<?php
/*
Plugin Name: WooCommerce Table Rate Shipping - Advanced JavaScript Functions
Author: Mizuho Ogino
Description: Allows import/export rate tables of WooCommerce Table Rate Shipping plugin as CSV file. Also allows copy and paste of Shipping Zones.
Author URI: https://web.contempo.jp/
Version: 1.1
License: GPLv2
*/

/*
* This plugin has a very simple structure with one php file and one javascript file. The plugin is licensed under GPL. We do not claim any rights regarding this plug-in. We also do not guarantee to respond to any problems or answer any questions that may arise from using the plugin. We recommend that users themselves look at the plugin to determine how it behaves and whether it is safe or not.
*/

add_action( 'admin_enqueue_scripts', function () {
	wp_register_script( 'woocommerce_table_rate_shipping_advanced_js', plugins_url( '/table-rate-advanced.js', __FILE__ ), array( 'jquery', 'wp-util' ), '', true );
});

add_action( 'woocommerce_after_settings_shipping', function ( ) { // Import / Export Table rates.
	wp_enqueue_script( 'woocommerce_table_rate_shipping_advanced_js' );
});

add_action('woocommerce_after_settings_general', function () {
	wp_enqueue_script( 'woocommerce_table_rate_shipping_advanced_js' );
});


